Loading...
Searching...
No Matches
ForceFields::MMFF::MMFFDefCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFDef * | operator() (const unsigned int atomType) const
| Looks up the parameters for a particular key and returns them.
| MMFFDefCollection (std::string mmffDef="")

## Public Attributes

std::vector< MMFFDef > | d_params
| the parameter vector

## Detailed Description

Definition at line 166 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## MMFFDefCollection()

ForceFields::MMFF::MMFFDefCollection::MMFFDefCollection | ( | std::string | mmffDef = `""` | ) |

## Member Function Documentation

## operator()()

const MMFFDef * ForceFields::MMFF::MMFFDefCollection::operator() | ( | const unsigned int | atomType | ) | const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFDef object, NULL on failure.

Definition at line 172 of file MMFF/Params.h.

## Member Data Documentation

## d_params

std::vector<MMFFDef> ForceFields::MMFF::MMFFDefCollection::d_params

the parameter vector

Definition at line 188 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h